package com.zxbw.modulemain.adapter

import android.app.Activity
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.*
import androidx.recyclerview.widget.RecyclerView
import com.zxbw.modulemain.R
import com.zxhl.cms.AppContext
import com.zxhl.cms.common.base.BaseRecyclerAdapter
import com.zxhl.cms.utils.OnRecycleItemClickListener


class RedEnvelopeTopListAdapter : BaseRecyclerAdapter<Any, RedEnvelopeTopListAdapter.ViewHolder> {
    private var mContext: Activity? = null

    constructor(
        content: Activity?
    ) : super() {
        mContext = content
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {


    }

    override fun getItemCount(): Int {
        return 10
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        return ViewHolder(
            LayoutInflater.from(AppContext.get())
                .inflate(R.layout.item_layout_red_envelope_top_user_view, parent, false)
        )
    }

    class ViewHolder : RecyclerView.ViewHolder {
        var id_ll_top_user_view: LinearLayout?
        var id_tv_user_phone: TextView?
        var id_tv_user_money: TextView?
        var id_img_user_headimg: ImageView?
        var id_img_top_icon: ImageView?

        constructor(
            itemView: View
        ) : super(itemView) {
            id_ll_top_user_view =
                itemView.findViewById<LinearLayout>(R.id.id_ll_top_user_view)
            id_tv_user_phone = itemView.findViewById<TextView>(R.id.id_tv_user_phone)
            id_tv_user_money = itemView.findViewById<TextView>(R.id.id_tv_user_money)
            id_img_user_headimg = itemView.findViewById<ImageView>(R.id.id_img_user_headimg)
            id_img_top_icon = itemView.findViewById<ImageView>(R.id.id_img_top_icon)
        }
    }

}